#!/bin/ksh

# PTF Advance Edition Install

echo "WebSphere Application Server 3.5, Advanced Edition PTF 1"

OS_NAME=`uname`

if [[ "$OS_NAME" = "AIX" ]]  ; then
   DELTA_JAR="was35_adv_ptf_1_AIX.jar"
   DELTA_LOG="was35_adv_ptf_1_AIX.log"
   IHS_PTF="IHS_ptf_aix.zip"
   JAVA_PTF="java_ptf_aix.zip"
   IHS_DIR="/usr"
elif [[ "$OS_NAME" = "SunOS" || "$OS_NAME" = "Solaris" ]] ; then
   DELTA_JAR="was35_adv_ptf_1_SUN.jar"
   DELTA_LOG="was35_adv_ptf_1_SUN.log"
   IHS_PTF="IHS_ptf_sun.zip"
   JAVA_PTF="java_ptf_sun.zip"
   IHS_DIR="/opt"
elif [[ "$OS_NAME" = "HP-UX" ]]  ; then
   DELTA_JAR="was35_adv_ptf_1_HP.jar"
   DELTA_LOG="was35_adv_ptf_1_HP.log"
   JAVA_PTF="java_ptf_hp.zip"
   IHS_PTF="IHS_ptf_hp.zip"
   IHS_DIR="/opt"
else
   echo "Unspported platform: $OS_NAME"
   echo "Exiting ..."
   exit 1
fi

BACKUP_JAR="was35_ptf_1_backup.jar"
UINSTALL_FILE="uninstall_ptf_1.sh"
LOG_FILE="was35_ptf_1.log"

##  echo "OS_NAME      = $OS_NAME"
##  echo "DELTA_JAR    = $DELTA_JAR"
##  echo "DELTA_LOG    = $DELTA_LOG"
##  echo "IHS_PTF      = $IHS_PTF"
##  echo "JAVA_PTF     = $JAVA_PTF"
##  echo "IHS_DIR      = $IHS_DIR"

# Unzipping the JDK PTF
   while :
   do
   {
    echo "Please enter the WebSphere root directory"
    read WAS_DIR
    if [[ "${WAS_DIR}" = "" ]]
    then
       continue
    fi
      
    if [[ ! -d ${WAS_DIR} || ! -f ${WAS_DIR}/properties/com/ibm/websphere/product.xml  ]]
       then
         {
            echo
            echo "Unable to locate file: ${WAS_DIR}/properties/com/ibm/websphere/product.xml"
            echo 
            continue
         }
     fi

     break
    }
    done

  if [[ "$OS_NAME" = "AIX" ]] ; then
      unzip -o $JAVA_PTF -d $WAS_DIR
  fi

#Unzipping the IHS PTF
  while :
  do
  {
    echo "Please enter whether you want to install IHS WebServer PTF (y/n)"
    read IHS_INSTALL
    if [[ "${IHS_INSTALL}" = "" ]]
    then
       continue
    fi
      
    if [[ "$IHS_INSTALL" != "y" && "$IHS_INSTALL" != "n" ]]
       then
         {
            echo
            echo "Please enter y for Yes or n for No"
            echo 
            continue
         }
     fi

     break
   }
   done

if [[ "$IHS_INSTALL" = "y" ]] ; then
   unzip -o $IHS_PTF -d $IHS_DIR 
fi

# Installing WAS PTF
export JAVA_HOME=$WAS_DIR/java
if [[ "$OS_NAME" = "AIX" ]]  ; then
export PATH=$JAVA_HOME/jre/sh:$JAVA_HOME/sh:$PATH
elif [[ "$OS_NAME" = "SunOS" || "$OS_NAME" = "Solaris" ]] ; then
export PATH=$JAVA_HOME/bin:$PATH
elif [[ "$OS_NAME" = "HP-UX" ]]  ; then
export PATH=$JAVA_HOME/bin:/usr/sbin:$PATH
fi

echo "Installing the WebSphere Application Server 3.5 PTF"

java -jar $DELTA_JAR -TargetDir $WAS_DIR -backupJar $WAS_DIR/$BACKUP_JAR -log $WAS_DIR/logs/$LOG_FILE

#End install 
